Devuan bug report logs - #537
mpv crashes on exit and all windows that have not been closed up to this point hang

version graph

Package: mpv; Maintainer for mpv is (unknown);

Reported by: "deb-tux@web.de" <deb-tux@web.de>

Date: Sat, 9 Jan 2021 15:33:02 UTC

Severity: normal

Tags: debian

Found in version 0.29.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#537; Package mpv. (Sat, 09 Jan 2021 15:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to "deb-tux@web.de" <deb-tux@web.de>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sat, 09 Jan 2021 15:33:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: "deb-tux@web.de" <deb-tux@web.de>
To: submit@bugs.devuan.org
Subject: mpv crashes on exit and all windows that have not been closed up to this point hang
Date: Sat, 9 Jan 2021 16:13:14 +0100
Package: mpv
Version: 0.29.1-1


Hello, 

in mpv, maybe, I detected following bug.

OS: Devuan, beowulf
Windowmanager: openbox 3.6.1
Filemanager:  doublecmd 0.7.1. also tested 0.8.0 and 0.9.9 and 
spacefm 1.0.6


The error occurs since updating the repository from devuan-ascii to
devuan-beowulf (all configuration files in ~ are the same) 

After opening any video file, using doublecmd in mpv, mpv crashes on
exit (trying to close the mpv window). All windows (e.g. mpv,
kaffeine, doublecmd, xterm, etc.) that have not been closed (up to this
point) hang. All this windows have to be closed with pkill -9 or
killall -9 . 

On testing this behaviour, I find out following points:

- the bug occurs in all named versions of doublecmd, mentioned above,
but not in spacefm.

- this will only happens with mpv, not with other players, like vlc,
cvlc.

- this will not be happend, when doublecmd will be started in an xterm
terminal.

- the only workaround I found, is to put nohup in the openbox
  rc.xml . See below:

   <!-- Alt+F3 : Ausf├╝hren (doublecmd) -->
    <keybind key="A-F3">
      <action name="Execute">
        <command>nohup doublecmd</command>
      </action>
    </keybind>



thank you for your help and many greetings 

Frank Noack

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#537; Package mpv. (Sat, 09 Jan 2021 16:33:06 GMT) (full text, mbox, link).


Message #8 received at 537@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "deb-tux@web.de" <deb-tux@web.de>, 537@bugs.devuan.org
Subject: Re: bug#537: mpv crashes on exit and all windows that have not been closed up to this point hang
Date: Sat, 9 Jan 2021 16:18:06 +0000
Control: tags -1 debian

Frank,

Many thanks for this.

On Sat, Jan 09, 2021 at 04:13:14PM +0100, deb-tux@web.de wrote:
> Package: mpv
> Version: 0.29.1-1

However, Devuan uses mpv directly from Debian without recompilation. Please
report this to Debian's BTS.

Thanks

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 537-submit@bugs.devuan.org. (Sat, 09 Jan 2021 16:33:08 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#537; Package mpv. (Sun, 17 Jan 2021 15:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to "frank-noack@web.de" <frank-noack@web.de>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Sun, 17 Jan 2021 15:48:04 GMT) (full text, mbox, link).


Message #15 received at 537@bugs.devuan.org (full text, mbox, reply):

From: "frank-noack@web.de" <frank-noack@web.de>
To: 537@bugs.devuan.org
Subject: solved - mpv crashes on exit and all windows that have not been closed up to this point hang
Date: Sun, 17 Jan 2021 16:29:55 +0100
Hello, the problem is solved, thanks to  debian-user@lists.debian.org

the problem was the programm call

 mpv is not a  gui-programm.  In the mpv-manpage is mentioned the option
 "pseudo-gui".

So I changed the programm call from this:
 mpv "$VIDEOFILE"

to this:
mpv   --player-operation-mode=pseudo-gui  "$VIDEOFILE"


Wich works for me in Beowulf
Thanks Frank


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Feb 25 11:24:37 2021;